org.slf4j

## Class MissingSingletonMethodAssertionTest

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - org.slf4j.MissingSingletonMethodAssertionTest

- All Implemented Interfaces:
    junit.framework.Test

      public class MissingSingletonMethodAssertionTest
      extends junit.framework.TestCase

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MissingSingletonMethodAssertionTest(String name)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `setUp()`
    `protected void` | `tearDown()`
    `void` | `test()`

    - ### Methods inherited from class junit.framework.TestCase

      `assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, countTestCases, createResult, fail, fail, failNotEquals, failNotSame, failSame, format, getName, run, run, runBare, runTest, setName, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MissingSingletonMethodAssertionTest

          public MissingSingletonMethodAssertionTest(String name)

  - ### Method Detail

    - #### setUp

          protected void setUp()
                        throws Exception

      Overrides:
        `setUp` in class `junit.framework.TestCase`
      Throws:
        `Exception`

    - #### tearDown

          protected void tearDown()
                           throws Exception

      Overrides:
        `tearDown` in class `junit.framework.TestCase`
      Throws:
        `Exception`

    - #### test

          public void test()
                    throws Exception

      Throws:
        `Exception`

Copyright © 2005–2017 QOS.ch. All rights reserved.